--PJ017930 - Change 12 - 08312015

USE [COWS]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

--1) create [dbo].[LK_REDSGN_CAT]	
CREATE TABLE [dbo].[LK_REDSGN_CAT]
(
	[REDSGN_CAT_ID] tinyint not null,
	[REDSGN_CAT_DES] varchar(100) not null,
	[REC_STUS_ID] bit not null,
	[CREAT_DT] Date not null,
	[CREAT_USER_ID]  Int not null
)
GO

ALTER TABLE [dbo].[LK_REDSGN_CAT]
	ADD CONSTRAINT [PK_LK_REDSGN_CAT] PRIMARY KEY CLUSTERED ([REDSGN_CAT_ID] ASC)
GO

ALTER TABLE [dbo].[LK_REDSGN_CAT]
	ADD CONSTRAINT [UX01_LK_REDSGN_CAT] UNIQUE ([REDSGN_CAT_DES]  ASC)
GO

ALTER TABLE [dbo].[LK_REDSGN_CAT]
	ADD CONSTRAINT [FK01_LK_REDSGN_CAT] FOREIGN KEY ([CREAT_USER_ID]) REFERENCES [dbo].[LK_USER]([USER_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
GO


--2. Alter existing table [dbo].[REDSGN]
ALTER TABLE [dbo].[REDSGN]
ADD [REDSGN_CAT_ID] tinyint NULL
go

ALTER TABLE [dbo].[REDSGN]
ADD [DSGN_DOC_LOC_TXT] nvarchar(2000) NULL
go

ALTER TABLE [dbo].[REDSGN]
	ADD CONSTRAINT [FK09_REDSGN] FOREIGN KEY ([REDSGN_CAT_ID]) REFERENCES [COWS].[dbo].[LK_REDSGN_CAT]([REDSGN_CAT_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
GO



--3. Alter existing table [dbo].[LK_REDSGN_TYPE]
ALTER TABLE [dbo].[LK_REDSGN_TYPE]
ADD [REDSGN_CAT_ID] tinyint NULL
go

ALTER TABLE [dbo].[LK_REDSGN_TYPE]
	ADD CONSTRAINT [FK01_LK_REDSGN_TYPE] FOREIGN KEY ([REDSGN_CAT_ID]) REFERENCES [COWS].[dbo].[LK_REDSGN_CAT]([REDSGN_CAT_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
GO




--
SET ANSI_NULLS OFF
GO

SET QUOTED_IDENTIFIER OFF
GO
